package ru.dbotthepony.kstarbound.world.entities

import ru.dbotthepony.kstarbound.GlobalDefaults
import ru.dbotthepony.kstarbound.Starbound
import ru.dbotthepony.kstarbound.defs.ActorMovementParameters
import ru.dbotthepony.kstarbound.world.World
import ru.dbotthepony.kstarbound.world.physics.Poly

class PlayerEntity(world: World<*, *>) : Entity(world) {
	override val movementParameters: ActorMovementParameters = GlobalDefaults.actorMovementParameters

	init {
		GlobalDefaults.actorMovementParameters.standingPoly?.let {
			//hitboxes.add(it)
			hitboxes.add(Starbound.gson.fromJson("""[ [-0.75, -2.0], [-0.35, -2.5], [0.35, -2.5], [0.75, -2.0], [0.75, 0.65], [0.35, 1.22], [-0.35, 1.22], [-0.75, 0.65] ]""", Poly::class.java))
		}
	}
}
